from enum import Enum


class AnswerType (Enum):
    YOUTUBE_REPLY   = 1
    BLUESKY_REPLY   = 2
    YOUTUBE_SYSTEM  = 3
    BLUESKY_SYSTEM  = 4


class Character (Enum):
    DEERJIKA    = 1
    GOATOH      = 2


class GPTModel (Enum):
    GPT3_TURBO  = 1
    GPT4_O      = 2


class Platform (Enum):
    YOUTUBE = 1
    BLUESKY = 2


class QueryType (Enum):
    YOUTUBE_COMMENT = 1
    BLUESKY_COMMENT = 2
    YOUTUBE_SYSTEM  = 3
    BLUESKY_SYSTEM  = 4
    KIRIBAN         = 5
    NICO_REPORT     = 6
    SNACK_TIME      = 7
    HOT_SPRING      = 8
